# Utilisez une image de base Node.js
FROM node:14

# Définissez le répertoire de travail dans le conteneur
WORKDIR /app

# Copiez les fichiers package.json et package-lock.json dans le conteneur
COPY package*.json ./

# Installez les dépendances
RUN npm install --silent

# Copiez tous les fichiers sources dans le conteneur
COPY . .

# Construisez l'application React
RUN npm run build


# Exposez le port sur lequel l'application sera accessible
EXPOSE 3000

# Démarrez l'application React
CMD ["npm", "start"]
